Bug 312324 - Respect branch options in dependency-data
Summary: Respect branch options in dependency-data
Status: RESOLVED FIXED
Alias: None
Product: kdesrc-build
Classification: Unclassified
Component: general (show other bugs)
Version: Git
Platform: Other Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Michael Pyne
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-12-29 02:18 UTC by Michael Pyne
Modified: 2012-12-30 01:52 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In: 1.16


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Pyne 2012-12-29 02:18:34 UTC
In short, kde-build-metadata/dependency-data supports specifying branch dependencies. Although kdesrc-build will parse this data, it doesn't obey it at this point.

It should do so. The format should be already described in the kde-build-metadata README.
Comment 1 Michael Pyne 2012-12-30 01:52:35 UTC
Git commit a456c51b7abd6cf7af1ac037b4ef78cf1c511d87 by Michael Pyne.
Committed on 30/12/2012 at 02:46.
Pushed by mpyne into branch 'master'.

kde-projects: Support "catch-all" dependencies.

The most noticeable effect is probably that it should be damn near
impossible not to have automoc build first now, at least in comparison
to other kde-projects modules. It also should take care of the vast
majority of the code needed for bug 312324. Still needed is handling for
Qt/Qt5.
FIXED-IN:1.16

M  +57   -6    modules/ksb/DependencyResolver.pm

http://commits.kde.org/kdesrc-build/a456c51b7abd6cf7af1ac037b4ef78cf1c511d87